/*
 *
 * Copyright (c) 1988, 1999 Hellmuth Michaelis. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *---------------------------------------------------------------------------
 *
 *	usage.c - usage & misc
 *      ----------------------
 *
 *	Last Edit-Date: [Sat Jan  1 17:18:34 2000]
 *
 *	$Id$
 *
 *----------------------------------------------------------------------------*/

#include "cwish.h"
#include "version.h"

/*---------------------------------------------------------------------------*
 *	format the headerline
 *---------------------------------------------------------------------------*/
void
init_header(void)
{
	int i;
	int snlen;
	
	if((strlen(system_name())+3) > CW_POS)
		snlen = CW_POS-3;
	else
		snlen = strlen(system_name());
	
	sprintf(headerline, "[%-*s]", snlen, system_name());

	i = strlen(headerline);
	while(i < CW_POS)
		headerline[i++] = ' ';
	headerline[i] = '\0';

	sprintf(headerline + strlen(headerline), "cwish %s.%02d",
		VERSION,
#include "update.h"
		);

	i = strlen(headerline);
	while(i < TIME_POS)
		headerline[i++] = ' ';
	headerline[i] = '\0';
}

/*---------------------------------------------------------------------------*
 *	format & print the usage display
 *---------------------------------------------------------------------------*/
void
usage(void)
{
	fprintf(stderr, "\n   cwish revision %s (compilation %d done on %s at %s)\n",
		VERSION,
#include "update.h"
		,__DATE__, __TIME__);
	fprintf(stderr, "   Copyright (c) 1988 - 2000 by Hellmuth Michaelis, All rights reserved!\n\n");
	fprintf(stderr, "     usage:   cwish [[+ | -] [acCdflnprsw]] | [-?]\n");
	fprintf(stderr, "   options:   +/-a  file attributes display window on/off\n");
	fprintf(stderr, "              +/-c  enable special cdrom filename processing (\";\") on/off\n");
	fprintf(stderr, "              +/-C  on cdrom handle programs as data files on/off\n");
	fprintf(stderr, "              +/-d  preserve current directory when \"cd ..\" on/off\n");
	fprintf(stderr, "              +/-f  display virtual fkey labels window on/off\n");
	fprintf(stderr, "              +/-l  file link detection enable on/off\n");
	fprintf(stderr, "              +/-n  display filenames beginning with a dot (\".\") on/off\n");
	fprintf(stderr, "              +/-p  display the current directory (as a \".\") on/off\n");
	fprintf(stderr, "              +/-r  wait for return after external command on/off\n");
	fprintf(stderr, "              +/-s  follow symbolic linked directories on/off\n");
	fprintf(stderr, "              +/-w  enable wildcard filename processing on/off\n");
	fprintf(stderr, "              -?    display this help text\n");
	exit(99);
}

/*---------------------------------- EOF -------------------------------------*/
